<template>
  <div id="app">
    <error-handler>
      <the-main-layout>
        <router-handler />
      </the-main-layout>
    </error-handler>
  </div>
</template>

<script lang="ts">
import ErrorHandler from "@/error-handler/index.vue";
import RouterHandler from "@/router/handler.vue";
import TheMainLayout from "@/layout/TheMainLayout/TheMainLayout.vue";

export default {
  name: "App",
  components: {
    ErrorHandler,
    TheMainLayout,
    RouterHandler
  }
};
</script>

<style lang="scss">
@import url("./global.scss");
</style>
